 /* anbn.flex */
import java_cup.runtime.*; // import Symbol class etc
%%
%class Anbn
%unicode
%line
%column
%cup

%{ 
  /* To create a new java_cup.runtime.Symbol with information about the current 
     token, the token will have no value in this case. */ 
  private Symbol symbol(int type) { 
    return new Symbol(type, yyline, yycolumn); 
  }
  /* Also creates a new java_cup.runtime.Symbol with information about the 
     current token, but this object has a value. */ 
  private Symbol symbol(int type, Object value) { 
    return new Symbol(type, yyline, yycolumn, value); 
  }
  
%}

/* models */
SEPARATEUR = " "|\n|\t|\r
%%
 /* rules */
{SEPARATEUR} {}
"a"          {return symbol(sym.TKA) ; }
"b"          {return symbol(sym.TKB) ; }
.            { throw new Error("Lexical error : illegal character <"+yytext()+"> at line "+(yyline+1)+" column "+(yycolumn+1));}