 /* expr.flex */
import java_cup.runtime.*; // import Symbol class etc
%%
%class Expr
%unicode
%line
%column
%cup
%{ /* a function to create tokens along with line,col. numbers */
private Symbol symbol(int type) {
	return new Symbol(type, yyline, yycolumn);
 }
 private Symbol symbol(int type, Object value) {
 return new Symbol(type, yyline, yycolumn, value) ;
}
 
%}
 /* models */
 integer=[0-9]+
 space=\r|\n|\r\n|\t|\ 
%%
 /* rules */
{integer} { return symbol(sym.TKINT,new Integer(yytext()));}
"+" {return symbol(sym.TKPLUS) ; }
"*" {return symbol(sym.TKTIMES) ; }
";" {return symbol(sym.TKSEMICOL) ; }
{space}          { }
